Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.notice
Class FileNotice_Notifier

    java.lang.Object
      rendsite.notice.FileNotice
          rendsite.notice.FileNotice_Notifier

    public class FileNotice_Notifier

extends FileNotice

Send file notices.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`static things.thinger.io.conduits.ConduitID` | `fileChangeConduit` All file changes should be submitted to this conduit.

Fields inherited from class rendsite.notice.FileNotice
`ATTR_FILE_PATH, conduit, FILE_CHANGE_CHANGE_DELETE, FILE_CHANGE_CHANGE_FAILED, FILE_CHANGE_CHANGED`

Constructor Summary
`FileNotice_Notifier(things.thinger.io.conduits.ConduitController controller, things.common.WhoAmI id)` Set up a file notifier.

Method Summary
`void` | `dispose()` Dispose the notifier or sink.
`protected void` | `finalize()` Finalizer.
`void` | `notifyChange(Node_File theFile, java.lang.String path)` Notify a file change.
`void` | `notifyChangeDeleted(Node_File theFile, java.lang.String path)` Notify a file change for a file that was deleted.
`void` | `notifyChangeFailed(Node_File theFile, java.lang.String path)` Notify a file change that failed.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileChangeConduit

    public static final things.thinger.io.conduits.ConduitID fileChangeConduit

  All file changes should be submitted to this conduit.

Constructor Detail

### FileNotice_Notifier

    public FileNotice_Notifier(things.thinger.io.conduits.ConduitController controller,
                               things.common.WhoAmI id)
                        throws java.lang.Throwable

  Set up a file notifier. It needs access to the conduit controller and a given ID.

  Parameters:
    `controller` -
    `id` -
  Throws:
    `java.lang.Throwable`

Method Detail

### dispose

    public void dispose()
                 throws java.lang.Throwable

  Dispose the notifier or sink. Generally, you'll have to do this yourself instead of relying on finalization, since the conduits will hold references to these objects. The implementation should deregister from the conduit controller.

  Specified by:
    `dispose` in class `FileNotice`
  Throws:
    `java.lang.Throwable` - for any problem. The should all be FAULTS.

### notifyChange

    public void notifyChange(Node_File theFile,
                             java.lang.String path)
                      throws java.lang.Throwable

  Notify a file change.

  Parameters:
    `theFile` - the file node
    `path` - the full path at the time of the change.
  Throws:
    `java.lang.Throwable`

### notifyChangeFailed

    public void notifyChangeFailed(Node_File theFile,
                                   java.lang.String path)
                            throws java.lang.Throwable

  Notify a file change that failed.

  Parameters:
    `theFile` - the file node
    `path` - the full path at the time of the change.
  Throws:
    `java.lang.Throwable`

### notifyChangeDeleted

    public void notifyChangeDeleted(Node_File theFile,
                                    java.lang.String path)
                             throws java.lang.Throwable

  Notify a file change for a file that was deleted.

  Parameters:
    `theFile` - the file node
    `path` - the full path at the time of the change.
  Throws:
    `java.lang.Throwable`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Finalizer.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable` - for bugs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.